Bug 885424 - File operations occur as root regardless of original user on 32-bit nfs client
File operations occur as root regardless of original user on 32-bit nfs client
Status: CLOSED DEFERRED
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: bugs@gluster.org
:
Depends On:
Blocks: 902204 902855
  Show dependency treegraph
 
Reported: 2012-12-09 06:30 EST by Peter Linder
Modified: 2015-05-26 08:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 902204 902855 (view as bug list)
Environment:
Last Closed: 2014-12-14 14:40:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Linder 2012-12-09 06:30:15 EST
Description of problem:

32-bit client (Debian 5.0) mounts gluster export via nfs. As a normal user, creating a new file using touch creates the file with 0:0 ownership. It is possible to chown the file to the correct user after that. This gives me the idea that all operations are made with UID 0.


Version-Release number of selected component (if applicable):
3.3.0, using glusters built in nfs server


How reproducible:

Always, on a 32 bit client. 64 bit client works as expected

Steps to Reproduce:
1. mount on 32 bit client using nfs.
2. create a file using an ordinary user
3. the file has root:root ownership
  
Actual results:
Wrong ownership :)

Expected results:
Correct ownership (as is when mounted using 64 bit client)

Additional info:
Comment 1 Niels de Vos 2013-01-03 10:37:36 EST
I've tried this in one of my VMs, but can not reproduce this. Could you provide
some more details steps to show what I have missed?

Thanks!

Steps taken on the 32-bit client:

[root@vm-200 ~]# uname -m
i686
[root@vm-200 ~]# rpm -q nfs-utils
nfs-utils-1.2.3-26.el6.i686
[root@vm-200 ~]# mount -t nfs -o vers=3 vm-86:/distrep2x2 /mnt
[root@vm-200 ~]# mkdir /mnt/bug-885424
[root@vm-200 ~]# chown guest:guest /mnt/bug-885424
[root@vm-200 ~]# touch /mnt/bug-885424/created-as-root
[root@vm-200 ~]# su - guest
[guest@vm-200 ~]$ touch /mnt/bug-885424/created-as-guest
[guest@vm-200 ~]$ ls -l /mnt/bug-885424/
total 0
-rw-rw-r--. 1 guest guest 0 Jan  3 10:26 created-as-guest
-rw-r--r--. 1 root  root  0 Jan  3 10:26 created-as-root


64-bit server:

[root@vm-86 ~]# gluster --version
glusterfs 3.3.0.5rhs built on Dec  5 2012 12:34:17
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2011 Gluster Inc. <http://www.gluster.com>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GlusterFS under the terms of the GNU General Public License.
Comment 3 Niels de Vos 2014-11-27 09:54:05 EST
The version that this bug has been reported against, does not get any updates from the Gluster Community anymore. Please verify if this report is still valid against a current (3.4, 3.5 or 3.6) release and update the version, or close this bug.

If there has been no update before 9 December 2014, this bug will get automatocally closed.
Comment 4 Niels de Vos 2015-05-26 08:34:05 EDT
This bug has been CLOSED, and there has not been a response to the requested NEEDINFO in more than 4 weeks. The NEEDINFO flag is now getting cleared so that our Bugzilla household is getting more in order.

Note You need to log in before you can comment on or make changes to this bug.